Package org.snpsift.lang.expression

# Class Not

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.ExpressionUnary
org.snpsift.lang.expression.Not

public class Not extends ExpressionUnary
Not expression

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.ExpressionUnary

`expr`

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`Not(Expression expr)`

## Method Summary

Modifier and Type
Method
Description
`Value`
`evalOp(Value val)`

### Methods inherited from class org.snpsift.lang.expression.ExpressionUnary

`eval, eval, toString`

### Methods inherited from class org.snpsift.lang.expression.Expression

`setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Not

public Not(Expression expr)

## Method Details

### evalOp

public Value evalOp(Value val)

Specified by:
  `evalOp` in class `ExpressionUnary`